#!/usr/bin/env python
# -*- coding: utf-8 -*-
# 
import copy

import logging
logging.basicConfig(level=logging.DEBUG,
                    format='%(asctime)s %(levelname)s \t (%(module)s:%(lineno)d) %(message)s ')
                    #filename='vanHelsing.log',
                    #filemode='w')<


from auto_configrules import *
from auto_types import *
from config_classes import *






def show_ids(itemlist):
  for item in itemlist:
    print id(item)

diritems = dird_job_items

diritem_shallowcopy = copy.copy(diritems)
diritem_deepcopy = copy.deepcopy(diritems)



print diritems
print diritem_shallowcopy
print diritem_deepcopy

#show_ids(diritems)
#show_ids(diritem_shallowcopy)
#show_ids(diritem_deepcopy)
